Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.internal.jaxb.mapping.orm
Enum JaxbGenerationType

    java.lang.Object
      java.lang.Enum<JaxbGenerationType>
          org.hibernate.internal.jaxb.mapping.orm.JaxbGenerationType

All Implemented Interfaces:
  Serializable, Comparable<JaxbGenerationType>

    public enum JaxbGenerationType

extends Enum<JaxbGenerationType>

Java class for generation-type.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="generation-type">
       <restriction base="{http://www.w3.org/2001/XMLSchema}token">
         <enumeration value="TABLE"/>
         <enumeration value="SEQUENCE"/>
         <enumeration value="IDENTITY"/>
         <enumeration value="AUTO"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`AUTO`
`IDENTITY`
`SEQUENCE`
`TABLE`

Method Summary
`static JaxbGenerationType` | `fromValue(String v)`
`String` | `value()`
`static JaxbGenerationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JaxbGenerationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TABLE

    public static final JaxbGenerationType TABLE

### SEQUENCE

    public static final JaxbGenerationType SEQUENCE

### IDENTITY

    public static final JaxbGenerationType IDENTITY

### AUTO

    public static final JaxbGenerationType AUTO

Method Detail

### values

    public static JaxbGenerationType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JaxbGenerationType c : JaxbGenerationType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JaxbGenerationType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static JaxbGenerationType fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.